---
dependencies:
  - role: repo_rpmfusion
  - role: memcached_server
    when: seafile_memcached_server is search('^(127\.0\.0\.1|localhost)')
  - role: clamav
    when: seafile_license is defined and seafile_scan_av == True
  - role: mysql_server
    when: seafile_db_server in ['127.0.0.1', 'localhost']
  - role: elasticsearch
    vars:
      es_version: 7.16.3
      es_archive_sha512: d9ad7a510b8bad63788f5081b9431519e0581242499394f7a2c59f6097f8956603b28881e30697c50fe440b0ced7a2eb66afadb0e12bf97126db1d468d3818ff
    when:
      - seafile_license is defined
      - seafile_es_server in ['127.0.0.1', 'localhost']
